
QGIS Application - Bug report #17702

Paste Features as... doesn't copy original layer fields

2017-12-15 04:43 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25599

Description

Select features, copy them

Edit menu, Paste features as, select Scratch temporary Layer

Apply and Open the newly created layer attribute table

In master, the attribute table is empty (I will need to check if it's the case also on Linux but it occurs for sure on Windows). In 2.18.15, you

have the fields available and filled.

This occurs also when you choose a "New vector layer" as destination; you'll notice in the "Save Vector Layer as..." dialog that the fields

section is empty!

PS: I'm not sure of the selected category

Associated revisions

Revision 7febd1e4 - 2018-01-03 10:10 PM - Nyall Dawson

Fix pasting features to new layer doesn't paste fields

Fixes #17702

History

#1 - 2017-12-28 02:28 AM - Olivier Dalang

Confirmed here on Windows (qgis rev e02ff050ad). I think this should be flagged as blocker since it's a regression.

#2 - 2018-01-03 10:10 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|7febd1e461359e819ede33f54f1bdca9970f96f9.

#3 - 2018-02-22 11:07 AM - Giovanni Manghi

- Resolution set to fixed/implemented
